import { Component, ComponentEventMap, Config, Filter, Listener, ObservableListenerOpts, Store } from "@intermesh/goui";
/**
 * @inheritDoc
 */
export interface FilterPanelEventMap<Type> extends ComponentEventMap<Type> {
    filterchange: (button: Type, filter: Filter) => false | void;
    variablefilterchange: (button: Type, filter: Filter) => false | void;
}
export interface FilterPanel extends Component {
    on<K extends keyof FilterPanelEventMap<this>, L extends Listener>(eventName: K, listener: Partial<FilterPanelEventMap<this>>[K], options?: ObservableListenerOpts): L;
    un<K extends keyof FilterPanelEventMap<this>>(eventName: K, listener: Partial<FilterPanelEventMap<this>>[K]): boolean;
    fire<K extends keyof FilterPanelEventMap<this>>(eventName: K, ...args: Parameters<FilterPanelEventMap<any>[K]>): boolean;
}
export declare class FilterPanel extends Component {
    readonly entityName: string;
    readonly store?: Store | undefined;
    private goFilterPanel;
    constructor(entityName: string, store?: Store | undefined);
}
export declare const filterpanel: (config: Config<FilterPanel, FilterPanelEventMap<FilterPanel>, "entityName" | "store">) => FilterPanel;
//# sourceMappingURL=FilterPanel.d.ts.map